Форум русскоязычного сообщества Ubuntu


За новостями русскоязычного сообщества и Ubuntu в целом можно следить на нашей страничке в Google+

Автор Тема: Удалились пакеты при установке libgl1-mesa-glx:i386  (Прочитано 445 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Givizub

  • Автор темы
  • Старожил
  • *
  • Сообщений: 1373
  • Ubuntu 14.04, х64
    • Просмотр профиля
Я решил установить Skype. При установке его получил сообщение:
 skype-bin:i386 : Зависимости (Depends): libgl1-mesa-glx:i386
Потом выполнил команду sudo apt-get install libgl1-mesa-glx:i386 и..собственно не заметил, что по зависимостях удалилсь пакеты..
(Нажмите, чтобы показать/скрыть)
???
Особенно меня беспокоить unity и xorg.. Можно как-то откатить это?
« Последнее редактирование: 17 Март 2016, 20:56:19 от Givizub »
R.I.P. - Unity

Punko

  • Гость
Givizub,
Какую конкретно команду вы выполнили?

Можно посмотреть в истории пакетного менеджера и восстановить. А список интересный, да :)

Оффлайн wajnon

  • Старожил
  • *
  • Сообщений: 2778
    • Просмотр профиля
Givizub,
я так понимаю, ты пока не перезагружался?

Оффлайн Givizub

  • Автор темы
  • Старожил
  • *
  • Сообщений: 1373
  • Ubuntu 14.04, х64
    • Просмотр профиля
Пока ввостанавливаю вручную.
Givizub,
я так понимаю, ты пока не перезагружался?
К счастью, нет.
Givizub,
Какую конкретно команду вы выполнили?
apt-get install libgl1-mesa-glx:i386 
Какого пакетного менеджера? Synaptic?
R.I.P. - Unity

Оффлайн wajnon

  • Старожил
  • *
  • Сообщений: 2778
    • Просмотр профиля
Givizub,
без этих пакетов система уже не загрузится. пробуй обратно установить.

Оффлайн Givizub

  • Автор темы
  • Старожил
  • *
  • Сообщений: 1373
  • Ubuntu 14.04, х64
    • Просмотр профиля
Началось:
Цитировать
sudo apt-get install xserver-xorg-video-vmware
 xserver-xorg-video-vmware : Зависимости (Depends): xorg-video-abi-11
 xserver-xorg-video-ati : Зависимости (Depends): xorg-video-abi-11
 xserver-xorg-video-intel : Зависимости (Depends): xorg-video-abi-11
Цитировать
sudo apt-get install libqt-gui
E: Невозможно найти пакет: libqt-gui
Это важные пакеты? (У меня nvidia)
Все остальное установилось.
Также пакеты, которые рекомендуются для удаления:
Цитировать
libsdl-ttf2.0-0 libfbclient2 libwxbase2.8-0 libxcb-dri2-0  libfreeimage3 libraw5 libsvga1 libsdl-mixer1.2 libfltk-cairo1.3 libcheese-gtk21 libcheese3 libopenvg1-mesa libkonqsidebarplugin4a libcluttergesture-0.0.2-0 libfltk1.3 libmikmod2 fluid kde-baseapps-data libclutter-imcontext-0.1-0 libfltk-forms1.3 libfltk-images1.3 firebird2.5-common libmx-1.0-2 neverball-data libsdl-net1.2 fltk1.3-doc libxvmc1 libwayland0 libxcb-xfixes0 libclutter-gst-1.0-0 libpq5 ttf-wqy-zenhei firebird2.5-common-doc libphysfs1 gnome-video-effects python-wxversion



Пользователь решил продолжить мысль [time]17 Март 2016, 19:56:08[/time]:
Перезагрузил ПК. При загрузке появился курсор, рисунок рабочего стола и conky. C помощью клавиатуры удалось вызвать браузер и nautilus. Терминал по Ctrl+Alt+T не открывается. Окна без шапок, перетаскивать их нельзя. Вылез багрепорт Compiz (прекращена работа программы..).

По симптомам похоже, что не Compiz не стартует.

Попытался запустить unity в новом х-сервере вот что получил:
(Нажмите, чтобы показать/скрыть)
При этом появляется верхняя и боковая панель. Что может значить эта ошибка?

Пользователь решил продолжить мысль 17 Март 2016, 22:05:51:
Нашел похожую проблему:
http://askubuntu.com/questions/248225/recent-update-crashed-unity-and-window-manager
Драйвера переустановить?
« Последнее редактирование: 17 Март 2016, 22:05:52 от Givizub »
R.I.P. - Unity

Оффлайн military1

  • Участник
  • *
  • Сообщений: 165
    • Просмотр профиля
А если выйти из иксов, удалить nvidia, переустановить xorg и затем временно установить nouveau ?

Оффлайн Givizub

  • Автор темы
  • Старожил
  • *
  • Сообщений: 1373
  • Ubuntu 14.04, х64
    • Просмотр профиля
Попробовал собрать драйвер Nvidia с исходников (.run), кажется, заработало. :coolsmiley:.
Skype тоже установился. Спасибо всем за помощь.
R.I.P. - Unity

Оффлайн Pilot6

  • Старожил
  • *
  • Сообщений: 11169
    • Просмотр профиля
Givizub,
Вопрос в том, что за версия у вас Ubuntu. Если LTS, то скорее всего это был неправильный пакет.
Там все хитро.

А вообще восстановить можно командой

sudo apt-get install ubuntu-desktop
Я в личке не консультирую. Вопросы задавайте на форуме.

Оффлайн Givizub

  • Автор темы
  • Старожил
  • *
  • Сообщений: 1373
  • Ubuntu 14.04, х64
    • Просмотр профиля
Givizub,
Вопрос в том, что за версия у вас Ubuntu. Если LTS, то скорее всего это был неправильный пакет.
Там все хитро.

12.04.5
R.I.P. - Unity

 

Страница сгенерирована за 0.058 секунд. Запросов: 24.